OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_HDoubleListOfInteger Class Reference

`#include <PColStd_HDoubleListOfInteger.hxx>`

Inheritance diagram for PColStd_HDoubleListOfInteger:

[legend]

## Public Member Functions
Standard_EXPORT | PColStd_HDoubleListOfInteger ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Handle_PColStd_HDoubleListOfInteger | Construct (const Standard_Integer &T)
Standard_EXPORT Standard_Integer | Value () const
Standard_EXPORT Handle_PColStd_HDoubleListOfInteger | Tail () const
Standard_EXPORT Handle_PColStd_HDoubleListOfInteger | Previous () const
Standard_EXPORT void | SwapTail (Handle(PColStd_HDoubleListOfInteger)&WithList)
Standard_EXPORT void | SetValue (const Standard_Integer &T)
Standard_EXPORT void | ChangeBackPointer (const Handle(PColStd_HDoubleListOfInteger)&BackPointer)
Standard_EXPORT void | ChangeForwardPointer (const Handle(PColStd_HDoubleListOfInteger)&ForwardPointer)
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
Standard_EXPORT void | Destroy ()
| ~PColStd_HDoubleListOfInteger ()
| PColStd_HDoubleListOfInteger (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HDoubleListOfIntegerData () const
void | _CSFDB_SetPColStd_HDoubleListOfIntegerData (const Standard_Integer p)
| Handle (PColStd_HDoubleListOfInteger) _CSFDB_GetPColStd_HDoubleListOfIntegerNext() const
void | _CSFDB_SetPColStd_HDoubleListOfIntegerNext (const Handle(PColStd_HDoubleListOfInteger)&p)
| Handle (PColStd_HDoubleListOfInteger) _CSFDB_GetPColStd_HDoubleListOfIntegerBefore() const
void | _CSFDB_SetPColStd_HDoubleListOfIntegerBefore (const Handle(PColStd_HDoubleListOfInteger)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | Data
Handle_PColStd_HDoubleListOfInteger | Next
Handle_PColStd_HDoubleListOfInteger | Before

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HDoubleListOfInteger::PColStd_HDoubleListOfInteger | ( |  | ) |

PColStd_HDoubleListOfInteger::~PColStd_HDoubleListOfInteger | ( |  | ) | `[inline]`

PColStd_HDoubleListOfInteger::PColStd_HDoubleListOfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PColStd_HDoubleListOfInteger::_CSFDB_GetPColStd_HDoubleListOfIntegerData | ( |  | ) | const`[inline]`

void PColStd_HDoubleListOfInteger::_CSFDB_SetPColStd_HDoubleListOfIntegerBefore | ( | const Handle(PColStd_HDoubleListOfInteger)& | p | ) | `[inline]`

void PColStd_HDoubleListOfInteger::_CSFDB_SetPColStd_HDoubleListOfIntegerData | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HDoubleListOfInteger::_CSFDB_SetPColStd_HDoubleListOfIntegerNext | ( | const Handle(PColStd_HDoubleListOfInteger)& | p | ) | `[inline]`

Standard_EXPORT void PColStd_HDoubleListOfInteger::ChangeBackPointer | ( | const Handle(PColStd_HDoubleListOfInteger)& | BackPointer | ) |

Standard_EXPORT void PColStd_HDoubleListOfInteger::ChangeForwardPointer | ( | const Handle(PColStd_HDoubleListOfInteger)& | ForwardPointer | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfInteger PColStd_HDoubleListOfInteger::Construct | ( | const Standard_Integer & | T | ) |

Standard_EXPORT void PColStd_HDoubleListOfInteger::Destroy | ( |  | ) |

Standard_EXPORT const PColStd_HDoubleListOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_HDoubleListOfInteger::Handle | ( | PColStd_HDoubleListOfInteger |  | ) | const`[inline]`

PColStd_HDoubleListOfInteger::Handle | ( | PColStd_HDoubleListOfInteger |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PColStd_HDoubleListOfInteger::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_PColStd_HDoubleListOfInteger PColStd_HDoubleListOfInteger::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_HDoubleListOfInteger::SetValue | ( | const Standard_Integer & | T | ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HDoubleListOfInteger::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HDoubleListOfInteger::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_EXPORT void PColStd_HDoubleListOfInteger::SwapTail | ( | Handle(PColStd_HDoubleListOfInteger)& | WithList | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfInteger PColStd_HDoubleListOfInteger::Tail | ( |  | ) | const

Standard_EXPORT Standard_Integer PColStd_HDoubleListOfInteger::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HDoubleListOfInteger PColStd_HDoubleListOfInteger::Before`[private]`

Standard_Integer PColStd_HDoubleListOfInteger::Data`[private]`

Handle_PColStd_HDoubleListOfInteger PColStd_HDoubleListOfInteger::Next`[private]`

The documentation for this class was generated from the following file:

- PColStd_HDoubleListOfInteger.hxx